%define oname   rmagick

Name:       ruby-%{oname}
Version:    2.15.4
Release:    %mkrel 12
Summary:    Ruby binding to ImageMagick
Group:      Development/Ruby
License:    BSD
URL:        https://rubygems.org/gems/rmagick
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: imagemagick
BuildRequires: imagemagick-devel
# ease upgrade from mdv
Provides:   ruby-RMagick = %{version}-%{release}

%description
RMagick is an interface between Ruby and ImageMagick.

%files
%{gem_instdir}
%exclude %{gem_instdir}/doc
%exclude %{gem_instdir}/examples
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_instdir}/doc
%doc %{gem_instdir}/examples
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat May 27 2017 shlomif <shlomif> 2.15.4-12.mga6
+ Revision: 1105197
- rebuild for new imagemagick

* Thu May 12 2016 luigiwalser <luigiwalser> 2.15.4-11.mga6
+ Revision: 1013682
- remove hardcoded requires on imagemagick version

* Tue May 10 2016 daviddavid <daviddavid> 2.15.4-10.mga6
+ Revision: 1011956
- rebuild for new libmagick 6.9.4.0

* Mon May 09 2016 pterjan <pterjan> 2.15.4-9.mga6
+ Revision: 1011157
- Rebuild for new libmagick

* Sun May 08 2016 daviddavid <daviddavid> 2.15.4-8.mga6
+ Revision: 1010498
- Rebuild for new libmagick 6.9.3.10

* Wed May 04 2016 daviddavid <daviddavid> 2.15.4-7.mga6
+ Revision: 1009130
- Rebuild for new libmagick

* Fri Apr 15 2016 daviddavid <daviddavid> 2.15.4-6.mga6
+ Revision: 1001593
- Rebuild for new libmagick

* Sat Mar 12 2016 pterjan <pterjan> 2.15.4-5.mga6
+ Revision: 989703
- Rebuild for new libmagick

* Mon Jan 25 2016 pterjan <pterjan> 2.15.4-4.mga6
+ Revision: 927542
- Rebuild for new libmagick

* Mon Jan 04 2016 pterjan <pterjan> 2.15.4-3.mga6
+ Revision: 919456
- Rebuild for new libmagick

* Mon Dec 14 2015 pterjan <pterjan> 2.15.4-2.mga6
+ Revision: 910271
- Rebuild for new libmagick

* Mon Nov 30 2015 fwang <fwang> 2.15.4-1.mga6
+ Revision: 907261
- update file list
- update file list
- 2.15.4
- rebuild for new imagemagick

* Tue Oct 06 2015 fwang <fwang> 2.13.2-24.mga6
+ Revision: 886589
- rebuild for new imagemgick

* Fri Aug 28 2015 fwang <fwang> 2.13.2-23.mga6
+ Revision: 870573
- rebuild for new imagemagick

* Mon Jun 22 2015 fwang <fwang> 2.13.2-22.mga6
+ Revision: 839149
- rebuild for new imagemagick

* Thu Oct 30 2014 fwang <fwang> 2.13.2-21.mga5
+ Revision: 794664
- rebuild for new imagemagick

* Tue Oct 28 2014 fwang <fwang> 2.13.2-20.mga5
+ Revision: 793994
- rebuild for new ruby

* Wed Oct 15 2014 umeabot <umeabot> 2.13.2-19.mga5
+ Revision: 740098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.13.2-18.mga5
+ Revision: 688934
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 fwang <fwang> 2.13.2-17.mga5
+ Revision: 664929
- rebuild for new imagemagick

* Fri May 30 2014 fwang <fwang> 2.13.2-16.mga5
+ Revision: 627874
- rebuild for new imagemagick

* Wed Apr 23 2014 fwang <fwang> 2.13.2-15.mga5
+ Revision: 617500
- rebuild for new imagemagick

* Tue Apr 01 2014 fwang <fwang> 2.13.2-14.mga5
+ Revision: 611086
- rebuild for new imagemagick

* Sun Mar 16 2014 pterjan <pterjan> 2.13.2-13.mga5
+ Revision: 604287
- Rebuild for new libmagick

* Fri Feb 14 2014 fwang <fwang> 2.13.2-12.mga5
+ Revision: 591070
- rebuild for new imagemagick

* Wed Feb 12 2014 fwang <fwang> 2.13.2-11.mga5
+ Revision: 589578
- rebuild for new imagemagick

* Wed Feb 05 2014 fwang <fwang> 2.13.2-10.mga5
+ Revision: 583135
- rebuild for new imagemagick

* Sat Dec 28 2013 pterjan <pterjan> 2.13.2-9.mga4
+ Revision: 562441
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 2.13.2-8.mga4
+ Revision: 560324
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.13.2-7.mga4
+ Revision: 537965
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.13.2-6.mga4
+ Revision: 488168
- update file list
- rebuild for new imagemagick

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Thu Sep 19 2013 fwang <fwang> 2.13.2-4.mga4
+ Revision: 481484
- update file list
- rebuild for new imagemagick

* Sun Sep 01 2013 fwang <fwang> 2.13.2-3.mga4
+ Revision: 474059
- rebuild for new imagemagick

* Thu Aug 15 2013 fwang <fwang> 2.13.2-2.mga4
+ Revision: 466700
- move correct file
- do not build doc now
- update build script
- revert to gem method
- use sitearch dir
- fix perm
- disable werror
- use rubysetup

* Sat Jun 08 2013 fwang <fwang> 2.13.2-1.mga4
+ Revision: 440508
- new version 2.13.2

* Sat Jun 08 2013 fwang <fwang> 2.13.1-15.mga4
+ Revision: 440503
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 2.13.1-14.mga4
+ Revision: 429191
- rebuild for new imagemagick

* Fri Feb 08 2013 umeabot <umeabot> 2.13.1-13.mga3
+ Revision: 396390
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.13.1-12.mga3
+ Revision: 381354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.13.1-11.mga3
+ Revision: 333803
- rebuild for new imagemagick

* Sat Dec 15 2012 fwang <fwang> 2.13.1-10.mga3
+ Revision: 331247
- rebuild for new imagemagick

* Fri Dec 14 2012 fwang <fwang> 2.13.1-9.mga3
+ Revision: 330829
- doc is noarch

* Fri Dec 14 2012 fwang <fwang> 2.13.1-8.mga3
+ Revision: 330721
- correct lib req

* Fri Dec 14 2012 fwang <fwang> 2.13.1-7.mga3
+ Revision: 330709
- imagemagick version is hardcoded in source

  + shikamaru <shikamaru>
    - revert mistake, I wanted to do that in 2/ not cauldron?\226?\128?\166
    - Fix: #7779

* Sun Nov 04 2012 fwang <fwang> 2.13.1-6.mga3
+ Revision: 313857
- rebuild for new ruby

* Sun Oct 30 2011 shikamaru <shikamaru> 2.13.1-5.mga3
+ Revision: 159932
- add provides to ease upgrade from mdv

* Sun Feb 13 2011 shikamaru <shikamaru> 2.13.1-4.mga2
+ Revision: 51282
- imported package ruby-rmagick

